function [out] = H2( s, theta, headradius )

lengS = length( s );
wt = zeros( lengS, 1 );
yt = zeros( lengS, 1 );

c = 34300;
alpha = 1+cos( theta*pi/180 );
beta  = 2*c/headradius;

for i=2:lengS,
   
%   out(i) = s(i) + alpha/beta * s(i-1) + 1/beta * out(i-1);  
%    out(i) = s(i) + alpha/beta * s(i-1) + 1/beta * out(i-1);  

	wt(i) = 1/beta*s(i) - 1/beta*wt(i-1);
end;

for i=2:lengS,
	yt(i) = alpha*wt(i-1) + beta*wt(i);
end;

out = yt;