function [out] = pinnaEcho( soundSource1, soundSource2, sampleRate, K, T )

echo1 = roomEcho( soundSource1, sampleRate, K, T );
echo2 = roomEcho( soundSource2, sampleRate, K, T );

[echo1,soundSource1]  = makeSameLength( echo1,soundSource1' );
[echo2,soundSource2]  = makeSameLength( echo2,soundSource2' );
[soundSource1,soundSource2]  = makeSameLength( soundSource1,soundSource2 );

soundSource1  = echo1+soundSource1;
soundSource2  = echo2+soundSource2;

out = [soundSource1', soundSource2'];	% LEFT column comes out in RIGHT ear
