function [] = test_params(fs,theta, A,B,C,D)

c = 34000; % speed of sound, cm/sec
a = 15;		% head radius in cm;
theta = theta*pi/180;

t = a/(2*c)
k = 1 - A*sin(B*theta)
g = 1 + C*sin(D*theta)

left_1 = exp(-1/(fs*t*k))
left_2 = exp(-1/(fs*t))
right_1 = exp(-2/(fs*t))
right_2 = exp(-2*g/(fs*t))

h_left(1) = left_1/left_2;
h_left(2) = (-1/left_2)*(1 - h_left(1));
h_right(1) = right_1/right_2;
h_right(2) = (-1/right_2)*(1 - h_right(1));

h_left
h_right
