function [out] = mit_3D(elev,azim, utt, fs)

neg_az_flag = 0;
if (azim<0)
   azim = abs(azim);
   neg_az_flag = 1;
end

hrtf = readhrtf(elev,azim,'H');
% Returns stereo symmetrical hrtf in first two rows of
% hrtf such that left is first row, right is second row.
%convolve each of these with sound source;
left_ear = conv(utt',hrtf(1,:));
right_ear = conv(utt',hrtf(2,:));

if (neg_az_flag)
   out = [left_ear' right_ear'];
else
   out = [right_ear' left_ear'];
end
