function[] = roomDemo2()

utt = read_rm('sr049.wav',0);
utt = interp(utt,3);
fs =48000;
orig = utt;

roomX = input('Enter Room Width in meters: ');
roomY = input('Enter Room Length in meters: ');
roomZ = input('Enter Room Height in meters: ');
fprintf('\n');
listX = input('Enter Listener Location X in meters: ');
listY = input('Enter Listener Location Y in meters: ');
listZ = input('Enter Listener Height in meters: ');
fprintf('\n');
dist = input('Enter Distance from Listener to Sound Source in meters: ');
fprintf('\n');
theRoom = [roomX roomY roomZ];
listenerLoc = [listX listY listZ];
soundLoc = [0 0 dist];

fprintf('Generating Room Response....\n');
roomOut = roomResponse( theRoom, listenerLoc, soundLoc, utt, fs ); 
uttOut = 1/dist.*utt;
[roomOut,uttOut] = makeSameLength(uttOut',roomOut');
out = ([roomOut'] + [uttOut']);

fprintf('\nThe Original Sound Waveform...\n');
soundsc(orig,48000);
pause(4);
fprintf('\nThe sound in your room (LxWxH): %dm x %dm x %dm\n',roomX,roomY,roomZ);
soundsc(out,48000);
