function [azimuthSounds] = azimuthload( azimuthAngles, path )

fname = sprintf('%saztest-hrtf0e%da',path,azimuthAngles(1,2));
fid = fopen(fname, 'r');
testSound = fread(fid, 'float');
fclose(fid);

numSamples = length( testSound );
samples = numSamples/2;
azimuthSounds = zeros(length(azimuthAngles),samples,2);

for i=1:length(azimuthAngles),

   if azimuthAngles(i,1) == 1,
     fname = sprintf('%saztest-hrtf0e%da',path,azimuthAngles(i,2));
   else
     fname = sprintf('%saztest-sphe0e%da',path,azimuthAngles(i,2));
   end

   fid = fopen(fname, 'r');
   testSound = fread(fid, 'float');
   fclose( fid );
   numSamples = length( testSound );

   fid = fopen(fname, 'r');
   azimuthSounds(i,:,1) = [fread(fid,numSamples/2, 'float')', ...
                           zeros(1,samples-numSamples/2)]';
   azimuthSounds(i,:,2) = [fread(fid,numSamples/2, 'float')', ...
                           zeros(1,samples-numSamples/2)]';
   fclose( fid );
end;
