function [elevationSounds] = elevationload( elevationAngles, path )

fname = sprintf('%selevtest-hrtf%de0a',path,elevationAngles(1));
fid = fopen(fname, 'r');
testSound = fread(fid, 'float');
fclose(fid);

numSamples = length( testSound );
samples = numSamples/2;
elevationSounds = zeros(length(elevationAngles),samples,2);

for i=1:length(elevationAngles),
	fname = sprintf('%selevtest-hrtf%de0a',path,elevationAngles(i));
   fid = fopen(fname, 'r');
   elevationSounds(i,:,1) = fread(fid,samples, 'float');
   elevationSounds(i,:,2) = fread(fid,samples, 'float');
   fclose( fid );
end;
