%Listening Test!
function [out] = genElevationFiles()

%:::::::::::::::
%  ELEVATION TEST
%:::::::::::::::
[utt, fs] = wavread('Noise.wav');
elev = [-40 -30 -20 -10 0 10 20 30 40 50 60 70 80 90 ];
azim = 0;
counter = 0;
out = -1;
%generate test signals using HRTF
for i=1:length(elev)
   out = mit_3D(elev(i),azim, utt, fs);
   max_out = max(max(out));
   out = out./max_out;
   fname = sprintf('elevtest-hrtf%de%da',elev(i),0);
   fid = fopen(fname, 'w');
   if (fid < 0)
      disp('ERROR!');
   else
      fwrite(fid,out,'float');
      fclose(fid);
   end
   counter=counter+1;
end

result = sprintf('%d files written\n',counter);
disp(result);
if counter == length(elev)
   out = 1;
end
