function [Answers] = space(Sounds,fs,guessLimits)

minGuess = guessLimits(1);
maxGuess = guessLimits(2);
[numSounds,soundLength,two] = size( Sounds);
Answers = zeros( 2, numSounds );

spacedes( numSounds, minGuess, maxGuess );

for i=1:numSounds,
   fprintf( '\nFree Space test (%d/%d):\n',i,numSounds );
   playCount= 0;
   gaveAnswer = 0;

   while( playCount < 4 & gaveAnswer == 0 )

      playCount = playCount + 1;
      if( playCount == 3 ),
         fprintf( 'Last Time played!\n' );
         pause(1);
      end

      thisSound(:,:) = Sounds(i,:,:);
      soundsc( thisSound, fs );
      %pause(1)
      
      if playCount < 3,
        guessE = ...
          input('Please enter the azimuth angle ("r" to repeat): ','s');
      else
        guessE = input('Please enter the azimuth angle: ','s');
      end;

      while( isempty( guessE ) | ...
        ( playCount > 2 & strcmp( guessE, 'r' ) == 1 ) |...
        ( ~isempty( str2num( guessE ) ) & ...
           ( str2num(guessE) < minGuess | str2num(guessE) > maxGuess ) ) | ...
        ( isempty( str2num( guessE ) ) & ...
           strcmp( guessE, 'r' ) == 0 ) ),

        if guessE=='r'& playCount==3,
          fprintf( 'You cannot repeat the sound anymore.\n' )
        else
          fprintf( 'The angle must be between: %d and %d.\n',...
                   minGuess, maxGuess)
        end

        if playCount < 3,
          guessE = ...
            input('Please enter the azimuth angle ("r" to repeat): ','s');
        else
          guessE = input('Please enter the azimuth angle: ','s');
        end;
      end
      if strcmp( guessE, 'r' ) == 1,
        guessH = 'r';
      else

        if playCount < 3,
          guessH = ...
            input('Please enter the elevation angle ("r" to repeat): ','s');
        else
          guessH = input('Please enter the elevation angle: ','s');
        end;

        while( isempty( guessH ) | ...
          ( playCount > 2 & strcmp( guessH, 'r' ) == 1 ) |...
          ( ~isempty( str2num( guessH ) ) & ...
             ( str2num(guessH) < minGuess | str2num(guessH) > maxGuess ) ) | ...
          ( isempty( str2num( guessH ) ) & ...
             strcmp( guessH, 'r' ) == 0 ) ),

          if guessH=='r'& playCount==3,
            fprintf( 'You cannot repeat the sound anymore.\n' )
          else
            fprintf( 'The angle must be between: %d and %d.\n',...
                     minGuess, maxGuess)
          end

          if playCount < 3,
            guessH = ...
              input('Please enter the elevation angle ("r" to repeat): ','s');
          else
            guessH = input('Please enter the elevation angle: ','s');
          end
        end
      end
      if strcmp( guessE, 'r' ) == 0 & strcmp( guessH, 'r' ) == 0,
        Answers(2,i) = str2num(guessE);
        Answers(1,i) = str2num(guessH);
        gaveAnswer = 1;
      end
   end
   fprintf( '\n' );
end

fprintf( 'You have successfully completed the Free Space test\n' )
fprintf( 'Press <Enter> to continue.\n' )
pause
return;
