
 function [output] = read_rm(utterance,specgramflag) 

% takes a NIST utterance from resource management
% strips off the header and loads it into variable "utt"
% and plots it


fid_utt = fopen(utterance, 'r');
[utt, count] = fread(fid_utt, 'short');

% NIST header is 1024 bytes - remove 512 16-bit ints
%plot(utt);

utt = utt(513:length(utt));

%plot(utt);


if specgramflag==1
	specgram(utt,256,16000,boxcar(256),128);
end

output = utt;
