function [output] = circlingBirds()


fs = 44100;
%x = gen_noise(fs, 0.1);
%length(x)
load('sounds/birds');
x=s3;
roomSize = [20 30 10];
listenerLoc = [10 2 1];
soundDist = 1.4;

elaz = [-40 -90; -30 -72; -20 -45; -10 -25;   0    0; ...
         10  25;  30  48;  40  77;  50  96;  40  116; ...
         30 138;  10 155;   0 180; -10 -155; -20 -135; -30 -114; -40 -90];

H_len = 128;
overlap = 4000;
conv_len = length(x)+H_len-1;
w = make_window(conv_len, overlap);
w = [w; w];

%H(z) is 128 pts. --> hrtf = length(x)+128-1;
total_len = size(elaz,1)*conv_len - (size(elaz,1)-1)*overlap;
output = zeros(total_len,2);
%az_test = az;
j = 1;
for i = 1:size(elaz,1)
    windowed_hrtf = w'.*(mit_3D( elaz(i,1), elaz(i,2), x, fs ));
    output(j:j+length(windowed_hrtf)-1,:) = output(j:j+length(windowed_hrtf)-1,:) + windowed_hrtf;
    j = j+length(windowed_hrtf) - overlap-1;
end

fprintf('...Playing sound...\n');
soundsc(output,fs);
