function[] = roomDemo()

utt = read_rm('sr049.wav',0);
utt = interp(utt,3);
fs =48000;
orig = utt;
smallRoom = [6 10 3];
smallListenerLoc = [3 5 1.5];
smallSourceLoc = [0 -30 4];

medRoom = [10 20 6];
medListenerLoc = [5 10 2];
medSourceLoc = [0 -30 10];

largeRoom = [40 80 15];
largeListenerLoc = [20 40 2];
largeSourceLoc = [0 -30 10];

giantRoom = [60 100 20];
giantListenerLoc = [30 40 2];
giantSourceLoc = [0 -30 30];

roomSmall = roomResponse( smallRoom, smallListenerLoc, smallSourceLoc, utt, fs ); 
uttSmall = 1/smallSourceLoc(3).*utt;
[roomSmall,uttSmall] = makeSameLength(uttSmall',roomSmall');
outSmall = ([roomSmall'] + [uttSmall']);

roomMed = roomResponse( medRoom, medListenerLoc, medSourceLoc, utt, fs ); 
uttMed = 1/medSourceLoc(3).*utt;
[roomMed,uttMed] = makeSameLength(uttMed',roomMed');
outMed = ([roomMed'] + [uttMed']);

roomLarge = roomResponse( largeRoom, largeListenerLoc, largeSourceLoc, utt, fs ); 
uttLarge = 1/largeSourceLoc(3).*utt;
[roomLarge,uttLarge] = makeSameLength(uttLarge',roomLarge');
outLarge = ([roomLarge'] + [uttLarge']);

roomGiant = roomResponse( giantRoom, giantListenerLoc, giantSourceLoc, utt, fs ); 
uttGiant = 1/giantSourceLoc(3).*utt;
[roomGiant,uttGiant] = makeSameLength(uttGiant',roomGiant');
outGiant = ([roomGiant'] + [uttGiant']);

fprintf('\nThe Original Sound Waveform...\n');
soundsc(orig,48000);
pause(3);
fprintf('\nSmall Room (LxWxH): %dm x %dm x %dm\n',smallRoom(1),smallRoom(2),smallRoom(3));
soundsc(outSmall,48000);
pause(3);
fprintf('\nLarge Room (LxWxH): %dm x %dm x %dm\n',medRoom(1),medRoom(2),medRoom(3));
soundsc(outMed, 48000);
pause(3);
fprintf('\nSmall Hall (LxWxH): %dm x %dm x %dm\n',largeRoom(1),largeRoom(2),largeRoom(3));
soundsc(outLarge, 48000);
pause(4);
fprintf('\nLarge Hall (LxWxH): %dm x %dm x %dm\n',giantRoom(1),giantRoom(2),giantRoom(3));
soundsc(outGiant, 48000);

