function [dist] = xyz_dist(obj1, obj2)

% finds the euclidean distance between 2 objects in 3 space
% obj = [x y z];

deltaX = obj1(1) - obj2(1);
deltaY = obj1(2) - obj2(2);
deltaZ = obj1(3) - obj2(3);

deltaX = deltaX^2;
deltaY = deltaY^2;
deltaZ = deltaZ^2;

dist = sqrt(deltaX + deltaY + deltaZ);

