%Listening Test!
function [out] = genAzimuthFiles()

% Compare model to hrtf

% its a given that the elevation cues in the pinna model totally suck so we'll
% skip those

% Compare the azimuth cues of TD,ID to HRTF. We'll use the HRTF by selecting 
% 0 deg elevation

%:::::::::::::::
%  AZIMUTH TEST
%:::::::::::::::
[utt, fs] = wavread('Noise.wav');
angles = [0 90 -90 45 -45 30 -30 60 -60 15 -15 75 -75 20 -20 50 -50 10 -10 65 -65 40 -40 ];
headRadius = 12;
counter = 0;
out = -1;
%generate test signals using TD, ID
for i=1:length(angles)
   out  = spherical(utt, fs, angles(i), headRadius);   
   max_out = max(max(out));
   out = out./max_out;
	fname = sprintf('aztest-sphe%de%da',0,angles(i));
   fid = fopen(fname, 'w');
   if (fid < 0)
      disp('ERROR!');
   else
      fwrite(fid,out,'float');
      fclose(fid);
   end
   counter=counter+1;
end

%generate test signals using HRTF
for i=1:length(angles)
   out = mit_3D(0,angles(i), utt, fs);
   max_out = max(max(out));
   out = out./max_out;
   fname = sprintf('aztest-hrtf%de%da',0,angles(i));
   fid = fopen(fname, 'w');
   if (fid < 0)
      disp('ERROR!');
   else
      fwrite(fid,out,'float');
      fclose(fid);
   end
   counter=counter+1;
end

result = sprintf('%d files written\n',counter);
disp(result);
if counter == length(angles)*2
   out = 1;
end
