%Listening Test!
function [out] = genElevAzimFiles()

%:::::::::::::::
%  ELEVATION TEST
%:::::::::::::::
[utt, fs] = wavread('Noise.wav');
elev = [-40 -10    0  20  30 60  90 70   50  20   0 -30 -40 ];
azim = [ 13  50 -140 100  30 50   0 60 -128 -30 -55  72 180 ];
counter = 0;
out = -1;
%generate test signals using HRTF
for i=1:length(elev)
   out = mit_3D(elev(i),azim(i), utt, fs);
   max_out = max(max(out));
   out = out./max_out;
   fname = sprintf('elaztest-hrtf%de%da',elev(i),azim(i));
   fid = fopen(fname, 'w');
   if (fid < 0)
      disp('ERROR!');
   else
      fwrite(fid,out,'float');
      fclose(fid);
   end
   counter=counter+1;
end

result = sprintf('%d files written\n',counter);
disp(result);
if counter == length(elev)
   out = 1;
end
