function [] = playAzRange(path,fs)

az = [-90 -45 0 45 90];
fname = sprintf('%saztest-hrtf0e%da',path,az(1));
fid = fopen(fname, 'r');
testSound = fread(fid, 'float');
fclose(fid);

numSamples = length( testSound );
samples = numSamples/2;
azimuthSounds = zeros(length(az),samples,2);

for i=1:length(az)
   fname = sprintf('%saztest-hrtf0e%da',path,az(i));
   fid = fopen(fname, 'r');
   azSounds(i,:,1) = fread(fid,samples, 'float');
   azSounds(i,:,2) = fread(fid,samples, 'float');
   fclose( fid );
end;

for i=1:length(az)      
	thisSound(:,:) = azSounds(i,:,:);
	soundsc( thisSound, fs );
   pause(1);
end
