function [spaceSounds] = spaceload( spaceAngles, path )

fname = sprintf('%selaztest-hrtf%de%da',path,spaceAngles(1,1),spaceAngles(1,2));
fid = fopen(fname, 'r');
testSound = fread(fid, 'float');
fclose(fid);

numSamples = length( testSound );
samples = numSamples/2;
spaceSounds = zeros(length(spaceAngles),samples,2);

for i=1:length(spaceAngles),
	fname = sprintf('%selaztest-hrtf%de%da',path,spaceAngles(i,1),spaceAngles(i,2));
   fid = fopen(fname, 'r');
   spaceSounds(i,:,1) = fread(fid,samples, 'float');
   spaceSounds(i,:,2) = fread(fid,samples, 'float');
   fclose( fid );
end;
